SIGSUM-TOKEN-CREATE(1)

NAME
sigsum-token-create - create rate-limit token

SYNOPSIS
sigsum-token create [-d domain-name] [--help] [-k key-file] [-l key-file] [-o output-file]

DESCRIPTION
Create a token for submissions to the the given log. This is essentially a signature on the log's public key. Outputs a complete HTTP header if a domain name is provided (-d option).

OPTIONS

-d, --domain=domain-name

    Domain name where the rate-limit public-key is available as a TXT record; without any "_sigsum_v1." prefix

--help
    Display help

-k, --signing-key=key-file

    Private key in OpenSSH format to sign the token with; or a corresponding public key where the private part is accessed using the SSH agent protocol (required)

-l, --log-key=key-file

    The log's public key in OpenSSH format (required)

-o, --output=output-file

    Store output in a file

RETURN CODES
A non-zero return code is used to indicate failure.

CONTACT
Send an email to the sigsum-general mailing list at sigsum-general@lists.sigsum.org. You can also reach out in room #sigsum at OFTC.net and matrix.org.

REPORTING BUGS
Use the issue tracker located at https://git.glasklar.is/sigsum/core/sigsum-go/-/issues. To file issues without a GitLab account, send an email to sigsum-core-sigsum-go-issues@incoming.glasklar.is and wait for a maintainer to make the issue public.

SEE ALSO
sigsum-key(1) sigsum-monitor(1) sigsum-policy(1) sigsum-submit(1) sigsum-token-create(1) sigsum-token-record(1) sigsum-token-verify(1) sigsum-tools(5) sigsum-verify(1)